Uploaded image for project: 'phpBB3'
  1. phpBB3
  2. PHPBB3-12108

preg_replace() breaks on php 5.5.x

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Invalid
    • Affects Version/s: 3.0.12
    • Fix Version/s: 3.0.13-RC1
    • Component/s: None
    • Labels:
      None
    • Environment:
      PHP 5.5.7 IIS 8.5 Windows 8.1 Pro

      Description

      It started off with quick install but it turns out that it a bug with phpBB.

      Main topic: https://www.phpbb.com/customise/db/official_tool/phpbb3_quickinstall/support/quick_install_breaks_with_php_5.5.7-t_119881

      When using quick install to create a test board with users and topics, it will trow out

      "[14-Jan-2014 08:28:44 Australia/Victoria] PHP Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in H:\wamp\www\phpbb\boards\test2\includes\functions_content.php on line 678"

        Attachments

          Activity

            People

            • Assignee:
              bantu Andreas Fischer
              Reporter:
              Danielx64 Danielx64
            • Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: